<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="mySuspectOrganizationLabel" jhiTranslate="mpmApp.suspectOrganization.home.createOrEditLabel">Create or edit a Suspect Organization</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!suspectOrganization.idSuspect">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="suspectOrganization.idSuspect" readonly />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.suspectOrganization.organization" for="field_organization">Organization</label>
            <select class="form-control" id="field_organization" name="organization" [(ngModel)]="suspectOrganization.organizationId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="organizationOption.idParty" *ngFor="let organizationOption of organizations; trackBy: trackOrganizationById">{{organizationOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
